# ----------------------------------------------------------------------------
# Csound Tcl Partitur-Skript      "Bruder Jakob"                   SEP-21-2002
# Copyright (c) 2002 by Hartmut Schwarz               matut@matut-spielwerk.de
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2 
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public
# License along with this program; if not, write to the Free
# Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,
# MA 02111-1307, USA.
#
# ----------------------------------------------------------------------------

# ------------------------------------ ins Tcl-Arbeitsverzeichnis wechseln ---
cd "[file dirname $argv0]/..";

# ------------------------------------------- allgemeine Grundlagen lernen ---
source "basics/ref.tcl";   # alles ueber Referenzvariablen
source "basics/tree.tcl";  # alles ueber Datenbaeume

# --------------------------------- die Grundlagen der Csound-Musik lernen ---
source "basics/music.tcl";

# ------------------------------------------------------ das Spiel beginnt ---
play { 
 loca jakob
 prtv 0.0
 pstv 1.0
 frmt 3
 song {play_score brother_john}
 more {\
  {vlbs 70.5 kybs  36 crtm   1 iang 180 iazm  40}\
  {vlbs 71.5 kybs  24 crtm   9 iang 180 iazm -50}\
  {vlbs 72.5 kybs  12 crtm  17 iang 180 iazm  40}\
  {vlbs 73.5 kybs   0 crtm  25 iang 180 iazm -50}\
  {vlbs 74.5 kybs  12 crtm  33 iang 180 iazm  40}\
  {vlbs 75.5 kybs  24 crtm  41 iang 180 iazm -50}\
  {vlbs 76.5 kybs  36 crtm  49 iang 180 iazm  40}\
  {vlbs 77.5 kybs  24 crtm  57 iang 180 iazm -50}\
  {vlbs 78.5 kybs -12 crtm  59 iang 180 iazm  30 tmtv 1.75}\
  {vlbs 79.5 kybs   0 crtm  61 iang 180 iazm -35 tmtv 1.50}\
  {vlbs 80.5 kybs  12 crtm  63 iang 180 iazm  20 tmtv 1.25}\
  {vlbs 81.5 kybs  24 crtm  65 iang 180 iazm -20 tmtv 1.00}\
  {vlbs 81.5 kybs  24 crtm  82 iang   0 iazm  20 tmtv -1.00 prtv 1.0 pstv 0.0 frmt 0}\
  {vlbs 80.5 kybs  12 crtm  84 iang   0 iazm -20 tmtv -1.25 prtv 1.0 pstv 0.0 frmt 0}\
  {vlbs 79.5 kybs   0 crtm  86 iang   0 iazm  35 tmtv -1.50 prtv 1.0 pstv 0.0 frmt 0}\
  {vlbs 78.5 kybs -12 crtm  88 iang   0 iazm -30 tmtv -1.75 prtv 1.0 pstv 0.0 frmt 0}\
  {vlbs 77.5 kybs  24 crtm  90 iang   0 iazm  50 tmtv -2.00 prtv 1.0 pstv 0.0 frmt 0}\
  {vlbs 76.5 kybs  36 crtm  98 iang   0 iazm -40 tmtv -2.00 prtv 1.0 pstv 0.0 frmt 0}\
  {vlbs 75.5 kybs  24 crtm 106 iang   0 iazm  50 tmtv -2.00 prtv 1.0 pstv 0.0 frmt 0}\
  {vlbs 74.5 kybs  12 crtm 114 iang   0 iazm -40 tmtv -2.00 prtv 1.0 pstv 0.0 frmt 0}\
  {vlbs 73.5 kybs   0 crtm 122 iang   0 iazm  50 tmtv -2.00 prtv 1.0 pstv 0.0 frmt 0}\
  {vlbs 72.5 kybs  12 crtm 130 iang   0 iazm -40 tmtv -2.00 prtv 1.0 pstv 0.0 frmt 0}\
  {vlbs 71.5 kybs  24 crtm 138 iang   0 iazm  50 tmtv -2.00 prtv 1.0 pstv 0.0 frmt 0}\
  {vlbs 70.5 kybs  36 crtm 146 iang   0 iazm -40 tmtv -2.00 prtv 1.0 pstv 0.0 frmt 0}\
 }
}
