# ----------------------------------------------------------------------------
# Csound Tcl Partitur-Skript      "Experiment III"                 NOV-28-2003
# Copyright (c) 2002 by Hartmut Schwarz               matut@matut-spielwerk.de
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2 
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public
# License along with this program; if not, write to the Free
# Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,
# MA 02111-1307, USA.
#
# ----------------------------------------------------------------------------

# ------------------------------------ ins Tcl-Arbeitsverzeichnis wechseln ---
cd "[file dirname $argv0]/..";

# ------------------------------------------- allgemeine Grundlagen lernen ---
source "basics/ref.tcl";   # alles ueber Referenzvariablen
source "basics/tree.tcl";  # alles ueber Datenbaeume

# --------------------------------- die Grundlagen der Csound-Musik lernen ---
source "basics/music.tcl";

# ------------------------------------------------------ das Spiel beginnt ---
set root [plant]; # einen neuen Klangbaum pflanzen
# Experiment III
set stem [TREEnew $root {vlbs 80 kybs 0 tvtv 1}];
sprout $stem\
 {csym (0,4,7)|(-0.1,3.9,6.9)|(-0.2,3.8,6.8)|(-0.3,3.7,6.7)\
  cmod .../.../.../... chbt ./././. }\
 ;
begin $root "[file rootname [file tail $argv0]]" 0.5;
touch $stem 10;
end $root 0.5;
return;
 {csym (0,4,7)|(-0.1,3.9,6.9)|(-0.2,3.8,6.8)|(-0.3,3.7,6.7)\
  cmod .;;;;;.;;;;;.;;;;;;;;/;.;;;;;.;;;;;.;;;;;;;/;;.;;;;;.;;;;;.;;;;;;/;;;.;;;;;.;;;;;.;;;;; chbt ./p./pp./ppp. }\
